Debian Bug report logs - #604783
support regular installer bootmenu entries

Package: syslinux-themes-debian; Maintainer for syslinux-themes-debian is Debian QA Group <packages@qa.debian.org>; Source for syslinux-themes-debian is src:syslinux-themes-debian.

Reported by: Daniel Baumann <mail@daniel-baumann.ch>

Date: Wed, 24 Nov 2010 10:33:04 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#604783; Package live-build. (Wed, 24 Nov 2010 10:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 24 Nov 2010 10:33:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: needs to have entries for regular installer
Date: Wed, 24 Nov 2010 11:30:42 +0100
Package: live-build
Severity: serious

now that live-installer was fixed to be disabled through preseeding,
live-builds needs to include boot entries for
installer-without-live-installer and installer-with-live-installer.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Added blocking bug(s) of 604783: 598101 Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sun, 05 Dec 2010 09:12:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#604783; Package live-build. (Thu, 23 Dec 2010 23:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 23 Dec 2010 23:42:03 GMT) Full text and rfc822 format available.

Message #12 received at 604783@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: daniel@debian.org, 604783@bugs.debian.org
Subject: Re: Bug#604783: needs to have entries for regular installer
Date: Fri, 24 Dec 2010 00:39:05 +0100
[Message part 1 (text/plain, inline)]
On Wed, Nov 24, 2010 at 11:30:42 +0100, Daniel Baumann wrote:

> Package: live-build
> Severity: serious
> 
> now that live-installer was fixed to be disabled through preseeding,
> live-builds needs to include boot entries for
> installer-without-live-installer and installer-with-live-installer.
> 
Status update please?

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#604783; Package live-build. (Fri, 24 Dec 2010 07:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 24 Dec 2010 07:12:03 GMT) Full text and rfc822 format available.

Message #17 received at 604783@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 604783@bugs.debian.org
Subject: Re: Bug#604783: needs to have entries for regular installer
Date: Fri, 24 Dec 2010 08:09:46 +0100
On 12/24/2010 12:39 AM, Julien Cristau wrote:
> Status update please?

blocked by #603554, waiting for otavio.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#604783; Package live-build. (Fri, 24 Dec 2010 17:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@ossystems.com.br>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 24 Dec 2010 17:27:08 GMT) Full text and rfc822 format available.

Message #22 received at 604783@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@ossystems.com.br>
To: daniel@debian.org, 604783@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#604783: needs to have entries for regular installer
Date: Fri, 24 Dec 2010 15:25:27 -0200
On Fri, Dec 24, 2010 at 05:09, Daniel Baumann <daniel@debian.org> wrote:
> On 12/24/2010 12:39 AM, Julien Cristau wrote:
>> Status update please?
>
> blocked by #603554, waiting for otavio.

Available on dailies AFAIK ;-)

-- 
Otavio Salvador                             O.S. Systems
E-mail: otavio@ossystems.com.br  http://www.ossystems.com.br
Mobile: +55 53 9981-7854              http://projetos.ossystems.com.br




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#604783; Package live-build. (Fri, 24 Dec 2010 17:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 24 Dec 2010 17:51:03 GMT) Full text and rfc822 format available.

Message #27 received at 604783@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Otavio Salvador <otavio@ossystems.com.br>, 604783@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#604783: needs to have entries for regular installer
Date: Fri, 24 Dec 2010 18:47:14 +0100
On 12/24/2010 06:25 PM, Otavio Salvador wrote:
> Available on dailies AFAIK ;-)

umm, unfortunate timing. i've asked you to ping me when you'll update,
apparently that got slipped (and the blocker-bug wasn't updated either).
since it takes quite some fiddeling and testing, i'm doing that after vac.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#604783; Package live-build. (Tue, 25 Jan 2011 05:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 25 Jan 2011 05:39:03 GMT) Full text and rfc822 format available.

Message #32 received at 604783@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 604783@bugs.debian.org
Subject: Re: needs to have entries for regular installer
Date: Tue, 25 Jan 2011 06:35:26 +0100
retitle 604783 support regular installer bootmenu entries
severity 604783 wishlist
thanks

the release-team has removed live-installer from squeeze, we're not
including d-i on the images then, and this becomes wishlist for 3.x.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Changed Bug title to 'support regular installer bootmenu entries' from 'needs to have entries for regular installer' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 25 Jan 2011 05:39:04 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'serious' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 25 Jan 2011 05:39:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#604783; Package live-build. (Tue, 25 Jan 2011 09:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 25 Jan 2011 09:03:03 GMT) Full text and rfc822 format available.

Message #41 received at 604783@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: daniel@debian.org, 604783@bugs.debian.org
Subject: Re: Bug#604783: needs to have entries for regular installer
Date: Tue, 25 Jan 2011 10:01:17 +0100
[Message part 1 (text/plain, inline)]
On Tue, Jan 25, 2011 at 06:35:26 +0100, Daniel Baumann wrote:

> retitle 604783 support regular installer bootmenu entries
> severity 604783 wishlist
> thanks
> 
> the release-team has removed live-installer from squeeze, we're not
> including d-i on the images then, and this becomes wishlist for 3.x.
> 
Ok, two things:
- live-installer is not removed yet, I was still hoping you'd want it in
  squeeze so you would do something about the serious bugs you filed
- if this bug is wishlist for 3.x, why is it serious for 2.x?

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#604783; Package live-build. (Tue, 25 Jan 2011 17:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 25 Jan 2011 17:54:03 GMT) Full text and rfc822 format available.

Message #46 received at 604783@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 604783@bugs.debian.org
Subject: Re: Bug#604783: needs to have entries for regular installer
Date: Tue, 25 Jan 2011 18:52:17 +0100
On 01/25/2011 10:01 AM, Julien Cristau wrote:
> - live-installer is not removed yet, I was still hoping you'd want it in
>   squeeze so you would do something about the serious bugs you filed

recently i realized that for some particular things in debian, it's
better not to argue, so i stop trying.

> - if this bug is wishlist for 3.x, why is it serious for 2.x?

it was our own release goal for 2.x to have proper installers. as this
apparently isn't going to happen, i'll might try again for 3.x.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#604783; Package live-build. (Tue, 25 Jan 2011 17:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 25 Jan 2011 17:54:05 GMT) Full text and rfc822 format available.

Message #51 received at 604783@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 604783@bugs.debian.org
Subject: Re: Bug#604783: needs to have entries for regular installer
Date: Tue, 25 Jan 2011 18:52:49 +0100
On 01/25/2011 10:01 AM, Julien Cristau wrote:
> - live-installer is not removed yet, I was still hoping you'd want it in
>   squeeze so you would do something about the serious bugs you filed

recently i realized that for some particular things in debian, it's
better not to argue, so i stop trying.

> - if this bug is wishlist for 3.x, why is it serious for 2.x?

it was our own release goal for 2.x to have proper installers. as this
apparently isn't going to happen, i'll might try again for 3.x.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#604783; Package live-build. (Wed, 26 Jan 2011 02:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to joseangon <joseangon47@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 26 Jan 2011 02:48:03 GMT) Full text and rfc822 format available.

Message #56 received at 604783@bugs.debian.org (full text, mbox):

From: joseangon <joseangon47@gmail.com>
To: Julien Cristau <jcristau@debian.org>, 604783@bugs.debian.org
Cc: daniel@debian.org
Subject: Re: Bug#604783: needs to have entries for regular installer
Date: Wed, 26 Jan 2011 03:45:36 +0100
[Message part 1 (text/plain, inline)]
Hello.

Please review this patch.

I think the problem is the media itself (memory-usb). ... For some reason, I
think, you lose the interactivity and debconf stop receiving/sending data.

Thank you very much!


Greetings.



-- 
José A. González

Siempre GNU Linux-libre.
[Message part 2 (text/html, inline)]
[live-installer.postinst.patch (text/x-diff, attachment)]
[squashfs.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#604783; Package live-build. (Wed, 26 Jan 2011 04:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to joseangon <joseangon47@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 26 Jan 2011 04:03:03 GMT) Full text and rfc822 format available.

Message #61 received at 604783@bugs.debian.org (full text, mbox):

From: joseangon <joseangon47@gmail.com>
To: Julien Cristau <jcristau@debian.org>, 604783@bugs.debian.org
Cc: daniel@debian.org
Subject: Re: Bug#604783: needs to have entries for regular installer
Date: Wed, 26 Jan 2011 05:01:14 +0100
[Message part 1 (text/plain, inline)]
Hola.

Sorry, I was wrong files, je je, I'm very tired today.

I just wanted them to see that possibility. And now would align it so that
it can be used as "live" or "normal."

But tomorrow is another day, je je.


Greetings.




2011/1/26 joseangon <joseangon47@gmail.com>

> Hello.
>
> Please review this patch.
>
> I think the problem is the media itself (memory-usb). ... For some reason,
> I think, you lose the interactivity and debconf stop receiving/sending data.
>
> Thank you very much!
>
>
> Greetings.
>
>
>
> --
> José A. González
>
> Siempre GNU Linux-libre.
>



-- 
José A. González

Siempre GNU Linux-libre.
[Message part 2 (text/html, inline)]
[live-installer.postinst.patch (text/x-diff, attachment)]
[squashfs.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#604783; Package live-build. (Wed, 26 Jan 2011 10:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jose Luis Zabalza <jlz.3008@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 26 Jan 2011 10:12:06 GMT) Full text and rfc822 format available.

Message #66 received at 604783@bugs.debian.org (full text, mbox):

From: Jose Luis Zabalza <jlz.3008@gmail.com>
To: joseangon <joseangon47@gmail.com>, 604783@bugs.debian.org
Subject: Re: Bug#604783: needs to have entries for regular installer
Date: Wed, 26 Jan 2011 11:08:46 +0100
2011/1/26 joseangon <joseangon47@gmail.com>:
> Hola.
>
> Sorry, I was wrong files, je je, I'm very tired today.
>
> I just wanted them to see that possibility. And now would align it so that
> it can be used as "live" or "normal."
>


Confirmed. This patch fix the problem and progress bar is showed again.
I guest is not the best way to fix but it may give ideas of what
causes the problem.

Bye.

-- 
José Luis Zabalza
jlz.3008  a t  gmail.com
Linux Counter 172551




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#604783; Package live-build. (Wed, 26 Jan 2011 10:37:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to corenominal@corenominal.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 26 Jan 2011 10:37:23 GMT) Full text and rfc822 format available.

Message #71 received at 604783@bugs.debian.org (full text, mbox):

From: Philip Newborough <corenominal@corenominal.org>
To: 604783@bugs.debian.org
Subject: Bug#604783: needs to have entries for regular installer
Date: Wed, 26 Jan 2011 10:33:59 +0000
On Wed, Jan 26, 2011 at 10:08 AM, Jose Luis Zabalza <jlz.3008@gmail.com> wrote:
> 2011/1/26 joseangon <joseangon47@gmail.com>:
>> Hola.
>>
>> Sorry, I was wrong files, je je, I'm very tired today.
>>
>> I just wanted them to see that possibility. And now would align it so that
>> it can be used as "live" or "normal."
>>
>
>
> Confirmed. This patch fix the problem and progress bar is showed again.
> I guest is not the best way to fix but it may give ideas of what
> causes the problem.
>

AFAIK, the bug (#608042) you are discussing has been fixed in git,
see: http://ur1.ca/30myn

Also, the serious bug (#603974) has also been fixed in git. I have
been testing the new patches as they have been coming in and they are
working well.

This puts the live-installer in good shape, but whether it makes it
into Squeeze, or whether it will still be removed, I have no idea.
Personally, I think it would be a real shame if it does not make the
cut. Daniel and everyone else involved have put a lot of effort into
the live project and not having the live-installer in live Squeeze
images would suck (for want of a better word.) The live images offer a
great alternative to the normal Debian images and could make Debian
accessible to a new audience who might otherwise never give Debian a
try.

Anyhow, here's hoping.

 -- Philip




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#604783; Package live-build. (Wed, 26 Jan 2011 11:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to joseangon <joseangon47@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 26 Jan 2011 11:21:07 GMT) Full text and rfc822 format available.

Message #76 received at 604783@bugs.debian.org (full text, mbox):

From: joseangon <joseangon47@gmail.com>
To: corenominal@corenominal.org, 604783@bugs.debian.org
Subject: Re: Bug#604783: needs to have entries for regular installer
Date: Wed, 26 Jan 2011 12:19:40 +0100
[Message part 1 (text/plain, inline)]
2011/1/26 Philip Newborough <corenominal@corenominal.org>

Hola.



On Wed, Jan 26, 2011 at 10:08 AM, Jose Luis Zabalza <jlz.3008@gmail.com>
> wrote:
> > 2011/1/26 joseangon <joseangon47@gmail.com>:
> >> Hola.
> >>
> >> Sorry, I was wrong files, je je, I'm very tired today.
> >>
> >> I just wanted them to see that possibility. And now would align it so
> that
> >> it can be used as "live" or "normal."
> >>
> >
> >
> > Confirmed. This patch fix the problem and progress bar is showed again.
> > I guest is not the best way to fix but it may give ideas of what
> > causes the problem.
> >
>
> AFAIK, the bug (#608042) you are discussing has been fixed in git,
> see: http://ur1.ca/30myn
>


Oh, I had not seen.

He was blind and too tired. Just trying to find a way to walk that stage.


Thanks !!!




> Also, the serious bug (#603974) has also been fixed in git. I have
> been testing the new patches as they have been coming in and they are
> working well.
>
> This puts the live-installer in good shape, but whether it makes it
> into Squeeze, or whether it will still be removed, I have no idea.
> Personally, I think it would be a real shame if it does not make the
> cut. Daniel and everyone else involved have put a lot of effort into
> the live project and not having the live-installer in live Squeeze
> images would suck (for want of a better word.) The live images offer a
> great alternative to the normal Debian images and could make Debian
> accessible to a new audience who might otherwise never give Debian a
> try.
>
> Anyhow, here's hoping.
>
>  -- Philip
>
>

Thanks!


Greetings.




>
>
> --
> To UNSUBSCRIBE, email to debian-live-request@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact
> listmaster@lists.debian.org
> Archive:
> http://lists.debian.org/AANLkTinGamY4xO6qdW-LDvZkPo1wPFQzAHf8f-cf_r+N@mail.gmail.com
>
>


-- 
José A. González

Siempre GNU Linux-libre.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#604783; Package live-build. (Wed, 26 Jan 2011 12:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 26 Jan 2011 12:48:03 GMT) Full text and rfc822 format available.

Message #81 received at 604783@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: daniel@debian.org, 604783@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#604783: needs to have entries for regular installer
Date: Wed, 26 Jan 2011 12:45:48 +0000
On Tue, Jan 25, 2011 at 06:52:17PM +0100, Daniel Baumann wrote:
> On 01/25/2011 10:01 AM, Julien Cristau wrote:
> > - live-installer is not removed yet, I was still hoping you'd want it in
> >   squeeze so you would do something about the serious bugs you filed
> 
> recently i realized that for some particular things in debian, it's
> better not to argue, so i stop trying.
> 
> > - if this bug is wishlist for 3.x, why is it serious for 2.x?
> 
> it was our own release goal for 2.x to have proper installers. as this
> apparently isn't going to happen, i'll might try again for 3.x.

As Philip pointed out, I fixed live-installer's RC bug (the one not
tagged squeeze-ignore, anyway) in unstable in consultation with Marco
Amadori, along with the progress bar issue.  I don't know of anything
else that would require live-installer to be dropped from squeeze.

What needs to change to make sure live-installer is still included on
the images?  Is it just a matter of not uploading a change you've made,
or does something need to be reverted?

-- 
Colin Watson                                       [cjwatson@debian.org]




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#604783; Package live-build. (Wed, 26 Jan 2011 13:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to joseangon <joseangon47@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 26 Jan 2011 13:12:03 GMT) Full text and rfc822 format available.

Message #86 received at 604783@bugs.debian.org (full text, mbox):

From: joseangon <joseangon47@gmail.com>
To: Colin Watson <cjwatson@debian.org>, 604783@bugs.debian.org
Subject: Re: Bug#604783: needs to have entries for regular installer
Date: Wed, 26 Jan 2011 14:09:45 +0100
[Message part 1 (text/plain, inline)]
2011/1/26 Colin Watson <cjwatson@debian.org>

Hello.


On Tue, Jan 25, 2011 at 06:52:17PM +0100, Daniel Baumann wrote:
> > On 01/25/2011 10:01 AM, Julien Cristau wrote:
> > > - live-installer is not removed yet, I was still hoping you'd want it
> in
> > >   squeeze so you would do something about the serious bugs you filed
> >
> > recently i realized that for some particular things in debian, it's
> > better not to argue, so i stop trying.
> >
> > > - if this bug is wishlist for 3.x, why is it serious for 2.x?
> >
> > it was our own release goal for 2.x to have proper installers. as this
> > apparently isn't going to happen, i'll might try again for 3.x.
>
> As Philip pointed out, I fixed live-installer's RC bug (the one not
> tagged squeeze-ignore, anyway) in unstable in consultation with Marco
> Amadori, along with the progress bar issue.  I don't know of anything
> else that would require live-installer to be dropped from squeeze.
>
>
I have checked the new file lib/live-installl/squashfs and goes all right:

 ANNA_QUIET=1 anna-install squashfs-modules || true




> What needs to change to make sure live-installer is still included on
> the images?  Is it just a matter of not uploading a change you've made,
> or does something need to be reverted?
>

Another thing I was talking to Octavio, is the theme that creates and fstab
for usb-hdd means:

/dev/sdb1       /media/cdrom0   udf,iso9660 user,noauto     0       0

And I thought it would be better to stay well:

/dev/sdb1       /media/usb0     auto    rw,user,noauto  0       0

I enclose a sketch of patch that can change that.

But that should confirm Daniel.


Greetings.




>
> --
> Colin Watson                                       [cjwatson@debian.org]
>
>
>
> --
> To UNSUBSCRIBE, email to debian-live-request@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact
> listmaster@lists.debian.org
> Archive: http://lists.debian.org/20110126124548.GA7684@master.debian.org
>
>


-- 
José A. González

Siempre GNU Linux-libre.
[Message part 2 (text/html, inline)]
[diff-fstab.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#604783; Package live-build. (Wed, 26 Jan 2011 13:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 26 Jan 2011 13:21:02 GMT) Full text and rfc822 format available.

Message #91 received at 604783@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: joseangon <joseangon47@gmail.com>
Cc: 604783@bugs.debian.org
Subject: Re: Bug#604783: needs to have entries for regular installer
Date: Wed, 26 Jan 2011 13:20:19 +0000
On Wed, Jan 26, 2011 at 02:09:45PM +0100, joseangon wrote:
> Another thing I was talking to Octavio, is the theme that creates and fstab
> for usb-hdd means:

Surely this should be a separate bug report, instead of you piggybacking
on this one ...

In any case, is this RC for squeeze?  It's not clear that we have time
to change this, particularly since your proposed patch is against
partman-target and thus would affect (and need to be tested with)
installation modes other than live-installer.

-- 
Colin Watson                                       [cjwatson@debian.org]




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#604783; Package live-build. (Wed, 26 Jan 2011 14:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 26 Jan 2011 14:21:03 GMT) Full text and rfc822 format available.

Message #96 received at 604783@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Colin Watson <cjwatson@debian.org>
Cc: 604783@bugs.debian.org
Subject: Re: Bug#604783: needs to have entries for regular installer
Date: Wed, 26 Jan 2011 15:17:20 +0100
On 01/26/2011 01:45 PM, Colin Watson wrote:
> As Philip pointed out, I fixed live-installer's RC bug (the one not
> tagged squeeze-ignore, anyway) in unstable in consultation with Marco
> Amadori, along with the progress bar issue.

thanks a lot, much appreciated.

> I don't know of anything
> else that would require live-installer to be dropped from squeeze.

i've reported all the bugs in the bts for it, the most annoying
outstanding issue is #607225.

#598182 and #608850 are not that sever.

> What needs to change to make sure live-installer is still included on
> the images?

as Ben relayed to #-boot, i've already did the changes, next daily-build
will have it.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#604783; Package live-build. (Fri, 28 Jan 2011 14:27:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@127011.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 28 Jan 2011 14:27:10 GMT) Full text and rfc822 format available.

Message #101 received at 604783@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@127011.net>
To: 603552@bugs.debian.org, 598101@bugs.debian.org, 604783@bugs.debian.org
Subject: Re: update syslinux theme for squeeze
Date: Fri, 28 Jan 2011 15:25:19 +0100
tag 604783 pending
tag 598101 pending
tag 603552 pending
thanks

uploading tonight.




Added tag(s) pending. Request was from Daniel Baumann <daniel@127011.net> to control@bugs.debian.org. (Fri, 28 Jan 2011 14:27:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#604783; Package live-build. (Sat, 29 Jan 2011 19:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 29 Jan 2011 19:03:07 GMT) Full text and rfc822 format available.

Message #108 received at 604783@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: daniel@127011.net, 598101@bugs.debian.org
Cc: 603552@bugs.debian.org, 604783@bugs.debian.org
Subject: Re: Bug#598101: update syslinux theme for squeeze
Date: Sat, 29 Jan 2011 19:00:17 +0000
user release.debian.org@packages.debian.org
tag 598101 + squeeze-ignore
usertag 598101 + squeeze-can-defer
tag 603552 + squeeze-ignore
usertag 603552 + squeeze-can-defer
thanks

On Fri, 2011-01-28 at 15:25 +0100, Daniel Baumann wrote: 
> tag 604783 pending
> tag 598101 pending
> tag 603552 pending
> thanks
> 
> uploading tonight.

It doesn't look like that happened?

I'm afraid we're not going to delay the release waiting for theme
updates.  If the uploads happen in the next day or two then we can still
consider them, but in the meantime tagging as not blockers.

Regards,

Adam





Bug reassigned from package 'live-build' to 'syslinux-themes-debian'. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 13 Jun 2011 18:30:09 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Daniel Baumann <mail@daniel-baumann.ch>' from 'daniel@debian.org' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 12 Jun 2013 13:00:32 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 12 Jun 2013 16:03:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:07:27 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.